not compatible with mac 10.6.8!